org.springframework.web.reactive.function

## Interface BodyExtractor.Context

Enclosing interface:
  BodyExtractor<T,M extends org.springframework.http.ReactiveHttpInputMessage>

    public static interface BodyExtractor.Context

Defines the context used during the extraction.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,Object>` `hints()` Return the map of hints to use to customize body extraction.
`List<org.springframework.http.codec.HttpMessageReader<?>>` `messageReaders()` Return the `HttpMessageReaders` to be used for body extraction.
`Optional<org.springframework.http.server.reactive.ServerHttpResponse>` `serverResponse()` Optionally return the `ServerHttpResponse`, if present.

### Method Detail

#### messageReaders

    List<org.springframework.http.codec.HttpMessageReader<?>> messageReaders()

Return the `HttpMessageReaders` to be used for body extraction.

Returns:
  the stream of message readers

#### serverResponse

    Optional<org.springframework.http.server.reactive.ServerHttpResponse> serverResponse()

Optionally return the `ServerHttpResponse`, if present.

#### hints

    Map<String,Object> hints()

Return the map of hints to use to customize body extraction.